:root {
    --accent: #F6B53B;
    --accent-hover: #E5A900;
    --grey-50: #F9FAFB ;
    --grey-100: #F3F4F6 ;
    --grey-200: #E5E7EB ;
    --grey-300: #D1D5DC ;
    --grey-500: #6A7282 ;
    --grey-700: #364153 ;
    --grey-800: #1E2939 ;
    --grey-900: #101828 ;
    --grey-950: #030712 ;
    --white: #FFFFFF ;
}

html {
    font-size: 100%;
}

body {
    font-family: Be Vietnam Pro, sans-serif;
    background-color: var(--grey-900);
    line-height: 1.6;
}

h1, h2 {
    font-family: Fraunces, serif;
    font-weight: 400;
}
h1 {
    font-size: 2.25rem;
}
h3 {
    font-size: 1.5rem;
    font-weight: 400;
}
h4 {
    font-weight: 400;
    font-size: 1.20rem;
}

.visually-hidden {
    left: -9999px;
    position: absolute;
    top: -9999px;
}

.desktop {
    display: none;
}

header {
    position: relative;
    z-index: 999;
    padding: 2rem;
    background-color: var(--grey-900);
    color: var(--white);
}

/* Hamburger Menu*/
.flex-container {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    justify-content:space-between;
}

header .mobile nav {
    position: absolute;
    top: 5.25rem;
    left: 100vw;
    width: 100%;
    transition: 0.3s ease right;
    background-color: var(--grey-900);
}
header .mobile nav.show-menu {
    left: 0;
    transition: 0.3s ease right;
}
header .mobile nav:not(.show-menu) {
    left: 100vw;
    display: none;
}
header .mobile nav ul li {
    padding: 0.75rem 0;
    text-align: center;
}
header nav ul li a {
    color: var(--white);
    text-transform: uppercase;
}
.menu-toggle, svg path {
    width: 2rem;
    height: 2rem;
    background-color: var(--grey-900);
    stroke: var(--white);
    cursor: pointer;
}
.menu-toggle {
    min-width: 14mm;
    color: var(--white);
    text-align: center;
}
.menu-toggle svg {
    display: block;
    padding: 0 0.65rem;
}

/* Search bar */
.menu-search form {
    display: flex;
    align-items: center;
    border: 1px solid var(--grey-50);
    border-radius: 8px;
    width: 75%;
    min-width: 12rem;
    margin: 0 auto;
}

.menu-search input[type="search"] {
    border: none;
    border-radius: 8px 0 0 8px;
    background-color: var(--grey-900);
    width: 100%;
    height: 2.25rem;
}
.menu-search input[type="search"]::placeholder {
    text-transform: uppercase;
    color: var(--grey-50);
    padding-left: 0.5rem;
    width: 100%;
}

.search-button {
    background-color: var(--grey-500);
    border-radius: 0 8px 8px 0;
    border: 1px solid var(--grey-50);
    cursor: pointer;
    flex-shrink: 1;
}

.menu-search form button .icon {
    stroke: var(--white);
    height: 1.5rem;
    padding: 0.25rem;
}

/* Main */
main {
    min-height: 100vh;
}

/* Hero Section */
.hero {
    background: url("/img/hero-bg-sm.avif");
    background-size: cover;
    background-position: center;
    height: 100%;
    padding: 6rem 0;
}
.hero h2 {
    text-align: center;
    font-size: 2.5rem;
    padding-bottom: 1.25rem;
}
.hero p:first-of-type {
    font-size: 1.5rem;
}
.hero p {
    margin: 0 auto;
    padding: 1rem 0;
    width: 80%;
    max-width: 40rem;
}
.hero-btn {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin: 0 auto;
    width: 80%;
    padding-top: 6rem;
}
.hero a {
    color: var(--grey-800);
    text-align: center;
    display: block;
    flex-grow: 1;
    flex-basis: calc((30rem - 100%) * 999);
    padding: 0.5rem 0;
    border-radius: 5rem;
    text-transform: uppercase;
}

/* Tour Section */
.tour-bg {
    background-color: var(--grey-800);
    background-image: url(/img/path-of-fire-bg-sm.avif);
    background-repeat:no-repeat;
    background-size: cover;
    background-position:center;
}
.tour {
    padding: 5rem 2rem;
    height: 100%;
    color: var(--grey-50);
    max-width: 90rem;
    margin: 0 auto;

    container-type: inline-size;
    container-name: tour;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    align-items: center;
}
.tour img {
    border-radius: 50%;
    border: 5px solid var(--grey-200);
    width: 5rem;
    height: auto;
    margin: 0 auto;
}

/* Tour Small */
.content {
    grid-row: 2 / 4;
    grid-column: 1 / -1;
}
.content h2 {
    width: 60%;
    font-size: 2rem;
    padding: 1rem 1rem 1rem 0;
}
.content p {
    padding: 1rem 0;
}
.tour img:first-of-type {
    grid-column: 1 / 2 ;
    grid-row: 1;
}
.tour img:nth-of-type(2) {
    grid-row: 2;
    grid-column: 3 / 4;
}
.tour img:nth-of-type(3) {
    margin-top: 1.5rem;
    grid-row: 5;
    grid-column: 1 / 2;
}
.tour img:nth-of-type(4) {
    grid-row: 6;
    grid-column: 3 / 4;
}
.tour img:nth-of-type(5) {
    margin-top: 1.5rem;
    grid-row: 7;
    grid-column: 2 / 3;
}
/* Tour Large */
@container tour (min-width: 56.25rem) {
    .content {
        grid-column: 6 / 10;
        grid-row: 3 / 5;
    }
    .content h2 {
        font-size: 4.7rem;
        width: 100%;
    }
    .tour img {
        width: 7rem;
        height: auto;
    }
    .tour img:first-of-type {
        grid-column: 4 / 5 ;
        grid-row: 1 / 2;
        margin-right: 1rem;
    }
    .tour img:nth-of-type(2) {
        grid-row: 3 / 5;
        grid-column: 1 / 2;
    }
    .tour img:nth-of-type(3) {
        grid-row: 5 / 6;
        grid-column: 3 / 4;
    }
    .tour img:nth-of-type(4) {
        grid-row: 6 / 7;
        grid-column: 8 / 9;
    }
    .tour img:nth-of-type(5) {
        grid-row: 5 / 6;
        grid-column: 11 / 12;
        margin-left: 1rem;
    }

}

/* Initerary Section */
.initerary {
    background-color: var(--grey-100);
}
.initerary > section {
    padding: 2rem;
    max-width: 90rem;
    margin: 0 auto;
}
.initerary > section h2 {
    font-size: 3rem;
}

.copy ul li {
    padding-top: 2rem;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 1rem;
}
.copy ul li h4 {
    width: 80%;
}
.copy ul li:first-of-type {
    padding-bottom: 4rem;
}
.copy ul li p {
    padding-left: 3rem;
}

/* Form */
.discount-form {
    color: var(--white);
    padding: 2rem;
    background-image: url(/img/form-bg-sm.avif);
    background-color: var(--grey-800);
    background-repeat:no-repeat;
    background-size: cover;
    background-position:center;
}
.discount-form > div {
    height: 100%;
    max-width: 90rem;
    margin: 0 auto;
}
.form-section h2 {
    font-size: 3rem;
    line-height: 1;
}
.form-section p {
    padding: 1.5rem 0;
}
.form {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}
.form div:not(.form div:last-of-type) {
    display: flex;
    flex-direction: column;
    width: 100%;
    flex: 1;
}
.form input[type="submit"] {
    border: none;
    border-radius: 80px;
    background-color: var(--accent);
    text-transform: uppercase;
    padding: 0.5rem 2rem;
    flex: 1 1 25%;
    max-width: 21.125rem;
    margin-top: 3%;
    
}
.form input[type="text"] {
    padding: 0.68rem;
    border-radius: 8px;
}
.form input[type="text"]::placeholder {
    text-transform: uppercase;
    color: var(--grey-700);
    font-family: Be Vietnam Pro, sans-serif;
}
.form label {
    padding-left: 0.25rem;
}
.form div:last-of-type {
    width: 100%;
}

/* Footer */
footer{
    background-color: var(--grey-900);
    color: var(--white);
    padding: 2rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 0 3rem;
}
footer h2 {
    font-size: 2rem;
    text-align: left;
    width: 100%;
}
footer h3 {
    padding-bottom: 1.5rem;
}
footer a, footer p {
    color: var(--white);
    font-size: 0.75rem;
    padding-bottom: 1rem;
}
footer > div {
    flex-shrink: 1;
    flex-basis: calc((56.25rem - 100%) * 999);
    min-inline-size: min(100%, 47%);
    max-inline-size: 100%;
    padding-bottom: 1rem;
}
footer > section > p {
    padding-bottom: 1rem;
}
footer svg {
    width: 1.5rem;
    height: 1.5rem;
    padding: 0 0.3rem;
}

.links {
    display: flex;
    flex-wrap: wrap;
    flex-shrink: 1;
    justify-content: space-between;
    gap: 1rem;
}
.links nav {
    width: clamp(30%, 8rem, 46%);
    flex-shrink: 1;
}
.links nav:nth-of-type(4) li {
    padding: 0 0 1rem 0;
}

/* Hover States */
ul li a:hover {
    color: var(--accent);
}
ul li a:focus, header ul li a:active, 
.menu-search input[type="search"]:focus, .menu-search input[type="search"]:active,
.menu-search input[type="submit"]:focus, .menu-search input[type="submit"]:active,
.hero a:focus, .hero a:active,
.form input[type="text"]:focus, .form input[type="text"]:active {
    border: 1px solid var(--accent);
    border-radius: 6px;
}
.search-button:hover {
    background-color: var(--accent);
}
header nav ul li a:active {
    border: 1px solid var(--accent);
}
.hero a:first-of-type {
    background-color: var(--grey-50);
}
.hero a:first-of-type:hover {
    background-color: var(--grey-200);
}
.hero a:last-of-type {
    background-color: var(--accent);
}
.hero a:last-of-type:hover {
    background-color: var(--accent-hover);
}
.form input[type="submit"]:hover {
    background-color: var(--accent-hover);
    cursor: pointer;
}

/* Media Queries */
@media screen and (min-width: 30rem){
    .links {
        justify-content: unset;
    }

    .hero h2 {
        font-size: 4.7rem;
    }
    
}

@media screen and (min-width: 48rem) {
    .left-nav {
        display: flex;
        align-items: center;
        gap: 1.5rem;
    }

    .right-nav {
        display: flex;
        align-items: center;
        gap: 3rem;
    }

    .menu-search form {
        width: 16rem;
        flex-shrink: 1;
    }

    /* Hero Section */
    .hero {
    background: url("/img/hero-bg-md.avif");
    background-size: cover;
    background-position: center;
    }
    .hero p, .hero-btn {
        max-width: 43rem;
        flex-wrap: nowrap;
    }
    .hero p:first-of-type {
    font-size: 1.5rem;
  
    }
    .hero-btn {
        padding-top: 17.875rem;
    }

    /* Tour */
    .tour-bg {
        background-image: url(/img/path-of-fire-bg-md.avif);
        background-position: center;
        background-size: cover;
    }
    .tour {
        padding: 6rem 5rem;
    }
    .content p:first-of-type {
        font-size: 1.5rem;
    }

    /* Initerary */
    .initerary > section {
        display: flex;
        gap: 6.125rem;
        justify-content: center;
    }
    .initerary > section h2 {
        font-size: 11.25rem;
        writing-mode: sideways-lr;
        padding: 8rem 2rem;
        text-align: center;
    }
    .copy {
        width: 50%;
        padding: 8rem 0;
    }

    /* Discount Form */
    .discount-form {
        background-image: url(/img/form-bg-md.avif);
        background-repeat:no-repeat;
        background-size: cover;
        background-position:center;
    }
    .discount-form > div {
        display: flex;
        gap: 1.75rem;
        align-items: start;
        padding: 8rem 5rem;
    }
    .form-section p {
        font-size: 1.25rem;
    }

    /* Footer */
    footer h2 {
        font-size: 6rem;
    }
    footer p, footer a {
        font-size: 1rem;
    }
}

@media screen and (min-width: 64rem) {
    /* Desktop Navigation */
    .mobile {
        display: none;
    }

    .desktop {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 1rem;
        max-width: 90rem;
        margin: 0 auto;
    }

    /* Hero Section */
    .hero {
    background: url("/img/hero-bg-lg.avif");
    background-size: cover;
    background-position: center;
    }
    .hero h2 {
        font-size: 4.7rem;
    }

    /* Tour */
    .tour-bg {
        background-image: url(/img/path-of-fire-bg-lg.avif);
        background-repeat:no-repeat;
        background-position: center;
        background-size: cover;
    }
    .tour img {
        width: 12rem;
        height: auto;
    }

    /* Discount Form */
    .discount-form {
        background-image: url(/img/form-bg-lg.avif);
        background-repeat:no-repeat;
        background-size: cover;
        background-position:center;
    }

    /* Footer */
    footer {
        max-width: 90rem;
        margin: 0 auto;
    }
    footer h2 {
        font-size: 10rem;
    }
}